commit d85ad17c2bc67dfbe74f0867fe51b4df2293d223
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Wed Aug 28 12:21:56 2024 +0100

    libstdc++: Fix -Wunused-parameter warnings in Networking TS headers
    
    libstdc++-v3/ChangeLog:
    
            * include/experimental/io_context: Remove name of unused
            parameter.
            * include/experimental/socket: Add [[maybe_unused]] attribute.
    
    (cherry picked from commit 51b0fef4e6ee01ed2509bd54a448d2564a89c518)

diff --git a/libstdc++-v3/include/experimental/io_context b/libstdc++-v3/include/experimental/io_context
index 4db3782e2bb..8b0dba7d5fa 100644
--- a/libstdc++-v3/include/experimental/io_context
+++ b/libstdc++-v3/include/experimental/io_context
@@ -148,7 +148,7 @@ inline namespace v1
     io_context() : _M_work_count(0) { }
 
     explicit
-    io_context(int __concurrency_hint) : _M_work_count(0) { }
+    io_context(int /* __concurrency_hint */) : _M_work_count(0) { }
 
     io_context(const io_context&) = delete;
     io_context& operator=(const io_context&) = delete;
diff --git a/libstdc++-v3/include/experimental/socket b/libstdc++-v3/include/experimental/socket
index 02c27d66c6a..a244af201a6 100644
--- a/libstdc++-v3/include/experimental/socket
+++ b/libstdc++-v3/include/experimental/socket
@@ -493,7 +493,7 @@ inline namespace v1
     bool non_blocking() const { return _M_bits.non_blocking; }
 
     void
-    native_non_blocking(bool __mode, error_code& __ec)
+    native_non_blocking([[maybe_unused]] bool __mode, error_code& __ec)
     {
 #if defined _GLIBCXX_HAVE_FCNTL_H && defined _GLIBCXX_HAVE_DECL_O_NONBLOCK
       int __flags = ::fcntl(_M_sockfd, F_GETFL, 0);

